## v1.5.0

### New Features
- New option: **`File > New > Start from...`** (opt-in from preferences)  
  *Select any .blend file to use as template. Optionally, you save the template in your list, on the fly.*  
- Splash Screen now supports 5+ templates with a submenu  

---

- Minor UI update
    *Now use a single checkbox for switching templates in Splash Screen menu.*

## v1.4.0

### New Feature
- **Add workspace** from your Custom Templates
    *Usually, while adding a new workspace, you can choose between the workspaces of the 5 default blender templates.*
    *Now you can also add workspaces from your Custom Templates!*
    Right-click one of your workspaces and look for the `Add from Custom Templates` menu.
- Minor preferences UI update

*Legacy update*

- *Update Splash Screen UI for legacy to match Blender <=3.6*

## v1.3.1

- Fix file path selector  
    *Always use absolute path when selecting, even when a .blend file is loaded.*  

## v1.3.0

### New Features

- Add templates from folder  
  *Automatically add the `.blend` files from a given folder and auto-name them with the clean file name.*  
  *(with optional recursion depth parameter, default 1)*  
- Clear current templates (with safety confirm)  
  *Easily remove all the current templates from the add-on preferences menu.*  
- Auto-naming from the path (when adding from folder, or selecting the path before setting the name)  
- Added current number of templates in the add-on preferences  
- Update `File > Default` menu with new functions:  
    1) Clear current templates  
    2) Add from folder functions  

## v1.2.6

- Fix preferences persistence issues on restart
- Used poll function to disable operators instead of hiding them

## v1.2.5

- Fix override splash preference persistence when updating from splash
  *by marking preferences as dirty, after altering the value.*

## v1.2.3 - 1.2.4

- Fix Splash Screen issue after disabling the add-on
- Remove some `INFO` messages
- Fix index access problems in a couple of situations
- Update classes id prefix (shorter and removing build warnings for menus naming)
- Minor UI updates

## v1.2.2

Add files permission in manifest *(for import/export)*

## v1.2.1

Minor code refactor

## v1.2.0

- Implement Splash Screen 'New File' list override:
  1) Add new preference for Splash Screen Override
  2) Add little menu for switching between Blender's default and Custom Templates list right from the splash screen.
  *The add-on will only show your first 5 templates (while `File > New` always shows all your templates)*
  *If you have no custom templates, the default Blender's one will be used.*

## v1.1.0

- Implement Import/Export functionality (to and from json file)
- Re-organized source code, and reduce size where possibile
*This update does not impact on previous functionalities*

## v1.0.2

Swich from `zip` to `blender -c extension built` for building the .zip file (now without useless /addon folder in the zip).  
*This update does not impact on functionalities*

## v1.0.1

Update preferences identifier from `__name__` to `__package__` as documented [here](https://docs.blender.org/manual/en/dev/advanced/extensions/addons.html#user-preferences-and-package)  
*This update does not impact on functionalities*

## v1.0.0

This is the first official version of the extension.  

Current features:

- Add-on preferences with the list of custom templates (each with display name & path)
- The list of Custom Templates is added to the `File > New` menu
- The add-on functions are added to the `File > Defaults` menu, which are:
   1) Manage Templates (simple link to the Custom Templates add-on preferences)
   2) Select new custom template (open a popup requesting name and path and add it to the preferences
   3) Use current file as template (open a popup requesting name, and using the path of the current .blend file and add it to the preferences. Note: This function is only visible when a saved .blend file is currently loaded)
